Skip to content
Start here

Abuse Report Details

client.abuseReports.get(stringreportParam, AbuseReportGetParams { account_id } params, RequestOptionsoptions?): AbuseReportGetResponse { id, cdate, domain, 7 more }
GET/accounts/{account_id}/abuse-reports/{report_param}

Retrieve the details of an abuse report.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
reportParam: string
params: AbuseReportGetParams { account_id }
account_id: string

Cloudflare Account ID

maxLength32
ReturnsExpand Collapse
AbuseReportGetResponse { id, cdate, domain, 7 more }
id: string

Public facing ID of abuse report, aka abuse_rand.

cdate: string

Creation date of report. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

domain: string

Domain that relates to the report.

mitigation_summary: MitigationSummary { accepted_url_count, active_count, external_host_notified, 2 more }

A summary of the mitigations related to this report.

accepted_url_count: number

How many of the reported URLs were confirmed as abusive.

active_count: number

How many mitigations are active.

external_host_notified: boolean

Whether the report has been forwarded to an external hosting provider.

in_review_count: number

How many mitigations are under review.

pending_count: number

How many mitigations are pending their effective date.

status: "accepted" | "in_review"

An enum value that represents the status of an abuse record

One of the following:
"accepted"
"in_review"
type: "PHISH" | "GEN" | "THREAT" | 6 more

The abuse report type

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
justification?: string

Justification for the report.

original_work?: string

Original work / Targeted brand in the alleged abuse.

submitter?: Submitter { company, email, name, telephone }

Information about the submitter of the report.

company?: string
email?: string
name?: string
telephone?: string
urls?: Array<string>

Abuse Report Details

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const abuseReport = await client.abuseReports.get('report_param', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(abuseReport.id);
{
  "result": {
    "id": "id",
    "cdate": "2009-11-10T23:00:00Z",
    "domain": "domain",
    "mitigation_summary": {
      "accepted_url_count": 0,
      "active_count": 0,
      "external_host_notified": true,
      "in_review_count": 0,
      "pending_count": 0
    },
    "status": "accepted",
    "type": "PHISH",
    "justification": "justification",
    "original_work": "original_work",
    "submitter": {
      "company": "company",
      "email": "email",
      "name": "name",
      "telephone": "telephone"
    },
    "urls": [
      "string"
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "id": "id",
    "cdate": "2009-11-10T23:00:00Z",
    "domain": "domain",
    "mitigation_summary": {
      "accepted_url_count": 0,
      "active_count": 0,
      "external_host_notified": true,
      "in_review_count": 0,
      "pending_count": 0
    },
    "status": "accepted",
    "type": "PHISH",
    "justification": "justification",
    "original_work": "original_work",
    "submitter": {
      "company": "company",
      "email": "email",
      "name": "name",
      "telephone": "telephone"
    },
    "urls": [
      "string"
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ]
}